html,
body {
  background-color: #ececec;
  cursor: default;
  font-size: 14px;
  font-family: 'Montserrat';
}

input[type=file], /* FF, IE7+, chrome (except button) */
input[type=file]::-webkit-file-upload-button {
  /* chromes and blink button */
  cursor: pointer;
}

span,
div,
button,
a,
li {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

section,
article,
nav,
div {
  margin: 0;
  padding: 0;
}

/* Weather svg icons style */

.cls {
  stroke: currentColor;
}

.cls-1 {
  fill: none;
  fill-rule: evenodd;
  stroke: currentColor;
  stroke-linecap: round;
  stroke-linejoin: round;
}

.cls-2,
.cls-3 {
  fill: currentColor;
}

.gf-container {
  margin: 0 auto;
}

.gf-container:after {
  content: '';
  display: table;
  clear: both;
}

.gf-text-responsive {
  white-space: pre-wrap;
}

.gf-button {
  display: inline-block;
  font-weight: 400;
  text-align: center;
  vertical-align: middle;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  /*padding: 1em 1.5em;*/
  font-size: 1rem;
  line-height: 1.25;
  border-radius: 0.5rem;
  -webkit-transition: all 0.15s ease-in-out;
  transition: all 0.15s ease-in-out;
  background-color: #fff;
  box-shadow: none;
  outline: none;
  cursor: pointer;
  color: #000000;
  text-decoration: none;

  word-wrap: break-word;
  word-break: normal;
  max-width: 90%;
  min-width: 150px;
  border: none;
}

.gf-row {
  margin: 25px 0;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
}

.gf-row:first-child {
  margin-top: 10px;
}

.gf-block {
  height: 100%;
  background-color: rgba(220, 220, 220, 0.47);
  background-size: cover;
  background-position: center top;
  box-shadow:
    0 1px 3px rgba(0, 0, 0, 0.12),
    0 1px 2px rgba(0, 0, 0, 0.24);
  -webkit-transition: box-shadow 0.3s cubic-bezier(0.25, 0.8, 0.25, 1);
  transition: box-shadow 0.3s cubic-bezier(0.25, 0.8, 0.25, 1);
  border-radius: 0.25rem;
  overflow: hidden;
  cursor: pointer;
}

.gf-block:hover {
  box-shadow:
    0 10px 20px rgba(0, 0, 0, 0.19),
    0 6px 6px rgba(0, 0, 0, 0.23);
}

.gf-block-top-part {
  position: relative;
  height: 60%;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  border-top-left-radius: 0.25rem;
  border-top-right-radius: 0.25rem;
}

.gf-block-bottom-part {
  height: 40%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  padding: 0 0.5em;
  overflow: hidden;
}

.gf-headline {
  margin-bottom: 3px;
  font-size: 14pt;
  color: white;
}

.gf-headline-flex {
  padding: 1em;
  font-size: 14pt;
  color: white;
  flex: 1;
}

.gf-text {
  font-weight: 300;
  margin-bottom: 7px;
  font-size: 12pt;
  color: white;
}

.gf-block-social {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-align-items: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  height: 100%;
  flex: 1;
  box-shadow:
    0 1px 3px rgba(0, 0, 0, 0.12),
    0 1px 2px rgba(0, 0, 0, 0.24);
  border-radius: 0.25rem;
  overflow: hidden;
}

.gf-social-icon-a {
  font-size: 3em;
  margin: 15px 15px 0 15px;
}

.gf-widget-gf {
  padding: 1.5rem 1rem;
  background-color: #fff;
  height: 100%;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-pack: start;
  -webkit-justify-content: flex-start;
  -ms-flex-pack: start;
  justify-content: flex-start;
  text-align: center;
}

.gf-widget-wrapper {
  height: 100%;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-pack: end;
  -webkit-justify-content: flex-end;
  -ms-flex-pack: end;
  justify-content: flex-end;
  background-size: cover;
  background-position: center top;
}

.gf-widget-bottom {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  height: 40%;
  background-color: rgba(50, 50, 50, 0.6);
  -webkit-align-items: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  padding: 0 0.5em;
}

.gf-weather-title {
  width: 100%;
  margin-bottom: 10px;
  font-size: 14pt;
}

.gf-weather-list {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-flex-direction: row;
  -ms-flex-direction: row;
  flex-direction: row;
  -webkit-box-pack: start;
  -webkit-justify-content: flex-start;
  justify-content: flex-start;
  width: 100%;
}

.gf-weather-day {
  -webkit-flex: 1;
  -ms-flex: 1;
  flex: 1;
  text-align: center;
  overflow: hidden;
}

.gf-weather-day-name {
  margin-top: 10px;
  margin-bottom: 7px;
}

.gf-weather-icon {
  height: 30px;
  width: 30px;
  filter: brightness(100);
  background-size: cover;
  background-position: center top;
  margin-bottom: 10px;
}

.gf-weather-text {
  font-weight: 700;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}

.gf-events {
  height: 150px;
  text-align: center;
}

.gf-events-title {
  font-size: 18px;
  height: 40px;
  line-height: 40px;
  overflow: hidden;
  text-overflow: ellipsis;
}

.gf-events-description {
  line-height: 18px;
  height: 72px;
  font-size: 14px;
  font-weight: 300;
  overflow: hidden;
  text-overflow: ellipsis;
}

.gf-events-time {
  font-weight: 300;
  font-size: 14px;
  height: 38px;
  line-height: 19px;
  overflow: hidden;
  text-overflow: ellipsis;
}

.gf-widget-logo {
  height: 100px;
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
}

.gf-widget-market {
  width: 49%;
  max-width: 400px;
}

.gf-widget-gf-text {
  font-size: 1.4em;
  line-height: 1.5em;
  margin-bottom: 1.5em;
  margin-top: 1em;
}

.gf-footer {
  text-align: center;
  padding: 8px 0 8px;
}

.gf-footer a, .gf-footer a:visited {
  color: #428bca;
  text-decoration: underline;
  margin: 10px;
}

.no-data {
  text-align: center;
  font-size: 24px;
  font-weight: 700;
  margin-top: 100px;
  display: none;
}

/* Language selector */
.gf-lang-container {
  text-align: right;
  margin-right: 15px;
  position: relative;
}

.gf-lang-select {
  display: inline-block;
  cursor: pointer;
  text-transform: uppercase;
}

.gf-arrow-zone {
  width: 15px;
  padding-right: 5px;
  text-align: center;
  box-sizing: border-box;
  display: inline-block;
}

.gf-arrow {
  border-color: black transparent transparent;
  border-style: solid;
  border-width: 5px 5px 2.5px;
  display: inline-block;
  height: 0;
  width: 0;
}

.is-open .gf-arrow {
  border-color: transparent transparent black;
  border-width: 2.5px 5px 5px;
  margin-bottom: 2px;
}

.gf-select-value {
  display: inline-block;
  border-left: 2px solid black;
  color: black;
  font-weight: 900;
  line-height: 1em;
  padding-left: 5px;
}

.gf-select-list-outer {
  border-bottom-right-radius: 4px;
  border-bottom-left-radius: 4px;
  background-color: #fff;
  border: 1px solid #ccc;
  border-top-color: #e6e6e6;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.16);
  box-sizing: border-box;
  margin-top: -1px;
  max-height: 200px;
  right: -5px;
  position: absolute;
  top: 25px;
  width: 55px;
  z-index: 10;
  text-align: left;
  display: none;
  -webkit-overflow-scrolling: touch;
}

.is-open .gf-select-list-outer {
  display: block;
}

.gf-select-list-inner {
  max-height: 198px;
  overflow-y: auto;
}

.gf-select-list-item {
  box-sizing: border-box;
  color: #333;
  font-weight: 700;
  cursor: pointer;
  display: block;
  padding: 8px 10px;
  text-align: center;
}

.gf-select-list-item.selected {
  background: #c2e0ff;
}

.gf-select-list-item:hover {
  background: #e6e6e6;
}

.gf-select-list-item:last-child {
  border-bottom-right-radius: 4px;
  border-bottom-left-radius: 4px;
}

.gf-cookie {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  min-height: 50px;
  padding: 10px 20px;
  z-index: 100;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  flex-direction: column;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-align-items: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  background: white;
  border-top: 3px solid #e1d900;
}

.gf-cookie__message {
  margin-bottom: 10px;
}

.gf-cookie__text {
  font-size: 14px;
  line-height: 17px;
  font-weight: 300;
}

.gf-cookie__link {
  color: black;
  margin-left: 10px;
  text-decoration: underline;
  cursor: pointer;
  font-size: 14px;
  line-height: 17px;
  font-weight: 300;
}

.gf-cookie__link:hover {
  color: #374f67;
}

.gf-cookie__button {
  font-size: 15px;
  color: #fff;
  background: #00abe8;
  border-radius: 6px;
  text-align: center;
  cursor: pointer;
  line-height: 40px;
  width: 100%;
  padding: 0 30px;
  outline: none;
  font-weight: 600;
  border: none;
}

.gf-cookie__button:hover {
  outline: none;
  background: #6dd9ff;
}

@media (max-width: 767px) {
  .gf-container {
    width: 100%;
  }

  .gf-row {
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
    height: auto !important;
  }

  .gf-button {
    padding: 6px 9px;
  }

  .gf-block {
    -webkit-flex: 1 auto;
    -ms-flex: 1 auto;
    flex: 1 auto;
    height: 400px !important;
  }

  .gf-block-social {
    height: 156px !important;
    flex-wrap: wrap;
  }

  .not-first {
    margin-left: 0;
    margin-top: 25px;
  }

  .gf-text-responsive {
    font-size: 0.85em;
  }

  .gf-block-top-part {
    height: 70%;
  }

  .gf-block-bottom-part {
    height: 30%;
  }
}
@media screen and (min-width: 768px) and (max-width: 992px) {
  /* Tablet styles portrait */
  .gf-widget-logo {
    height: 60px;
  }
  .gf-widget-gf-text {
    line-height: 1.3em;
  }
}

@media (min-width: 768px) {
  .gf-container {
    width: 720px;
    max-width: 100%;
  }

  .gf-weather-text {
    font-size: 11px;
  }

  .gf-row {
    -webkit-flex-direction: row;
    -ms-flex-direction: row;
    flex-direction: row;
  }

  .gf-button {
    padding: 8px 12px;
  }

  .gf-block {
    -webkit-flex: 1;
    -ms-flex: 1;
    flex: 1;
  }

  .not-first {
    margin-left: 2em;
    margin-top: 0;
  }

  .gf-text-responsive {
    font-size: 0.9em;
  }
}

@media (min-width: 992px) {
  .gf-container {
    width: 960px;
    max-width: 100%;
  }

  .gf-weather-text {
    font-size: 12px;
  }

  .gf-button {
    padding: 10px 14px;
  }

  .gf-text-responsive {
    font-size: 1em;
  }

  .gf-cookie {
    flex-direction: row;
  }

  .gf-cookie__button {
    width: auto;
  }

  .gf-cookie__text,
  .gf-cookie__link {
    font-size: 18px;
    line-height: 22px;
  }

  .gf-cookie__message {
    margin-right: 20px;
    margin-bottom: 0;
  }
}

@media (min-width: 1200px) {
  .gf-container {
    width: 1140px;
    max-width: 100%;
  }

  .gf-button {
    padding: 12px 16px;
  }

  .gf-weather-text {
    font-size: 14px;
  }
}
